<?php
// +----------------------------------------------------------------------
// | SentCMS [ WE CAN DO IT JUST THINK IT ]
// +----------------------------------------------------------------------
// | Copyright (c) 2024 http://www.tensent.cn All rights reserved.
// +----------------------------------------------------------------------
// | Author: molong <molong@tensent.cn> <http://www.tensent.cn>
// +----------------------------------------------------------------------
namespace Modules\Order\Models;

use App\Models\BaseModel;
use Modules\Goods\Models\Goods;
use Modules\Goods\Models\GoodsSku;
use Modules\Store\Models\Store;

class Cart extends BaseModel {

	protected $table = 'cart';
	protected $fillable = [];
	// protected $hidden = ['deleted_at'];

	public function goods(){
		return $this->hasOne(Goods::class, 'id', 'goods_id');
	}

	public function store(){
		return $this->hasOne(Store::class, 'id', 'store_id');
	}

	public function sku(){
		return $this->hasOne(GoodsSku::class, 'id', 'goods_sku_id');
	}
}
